E
Keywords: p1.p2.E class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## p1.p2
Enum E

    java.lang.Object
      java.lang.Enum<E>
          p1.p2.E

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<E>

    public enum E

extends java.lang.Enum<E>

Declaration of enum type E

Enum Constant Summary
`C` Constant C
`D` Constant D

Field Summary
`java.lang.String` | `field`

Method Summary
`static E` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static E[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### D

    public static final E D

  Constant D

### C

    public static final E C

  Constant C

Field Detail

### field

    public java.lang.String field

Method Detail

### values

    public static final E[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(E c : E.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static E valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD